		  .MODEL  tiny
		  DOSSEG                          ; Force DOS segment order

		  EXTRN ntrace87:NEAR

		  .STACK  100h

		  .DATA
x  dd 1.0
y  dd 2.0
; Резервируем четыре байта для результата

z  dd ?

		  .CODE
		  .STARTUP

		  push cs
		  pop  ds

; Записываем в стек численных регистров
; значение x
		  call ntrace87

		  fld    x
		  call ntrace87

; Складываем содержимое верхушки стека
; с константой y

		  fadd   y
		  call ntrace87

; Записываем результат в ячейку z

		  fstp   z
		  call ntrace87

; Завершаем работу программы и
; возвращаем управление операционной системе

quit:
		  .EXIT   0

		  END
